From 8bd0fcfba03a489d25ce33954d41a80ba93c6446 Mon Sep 17 00:00:00 2001
From: David Carlos <ddavidcarlos1392@gmail.com>
Date: Mar 16 2018 02:30:29 +0000
Subject: [PATCH 5/17] Add make rules to run tests.


---

diff --git a/Makefile b/Makefile
index 6483460..cffabee 100644
--- a/Makefile
+++ b/Makefile
@@ -5,9 +5,21 @@ help:
 	@printf "Available targets: check, analyzers, clean\n\n"
 
 check:
-	coverage run --omit="lib/*","setup.py","kiskadee/tests/*",".eggs/*",".venv/*" ./setup.py test
+	coverage run --omit="lib/*","setup.py","kiskadee/tests/*",".eggs/*",".venv/*","/usr/*" -m unittest kiskadee/tests/*/*.py
 	coverage html
 
+check_units:
+	python3 -m unittest kiskadee/tests/units/*.py
+
+check_integration:
+	python3 -m unittest kiskadee/tests/integration/*.py
+
+check_api:
+	python3 -m unittest kiskadee/tests/api/*.py
+
+check_plugins:
+	python3 -m unittest kiskadee/tests/plugins/*.py
+
 analyzers:
 	docker ps 2> /dev/null; \
 	if [ $$? -ne 1 ]; then \

